﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr234_3
{
    // Класс исключения: 
    class MyException : Exception
    {
        // Закрытая ссылка на символьный массив:
        private char[] ch;
        // Конструктор создания объекта исключения:
        public MyException(int n) :
            base()
        {
            // Заполнение массива
            ch = new char[n];
            for (int i = 0; i < n; i++)
                ch[i] = (char)('A' + i);
        }
        // Переопределение метода ToString(): 
        public override string ToString()
        {
            string txt = "Содержание массива ch:\n";
            for (int i = 0; i < ch.Length; i++)
                txt += ch[i] + " ";
            return txt;
        }
    }
    class Program
    {
        // Главный метод:
        static void Main()
        {
            // Контролируемый код: 
            try
            {
                // Генерация пользовательского исключения: 
                throw new MyException(7);
            }
            // Перехват и обработка исключения: 
            catch (Exception e)
            {
                Console.WriteLine(e);
            }
            // Задержка:
            Console.ReadLine();
        }
    }
}
